Skip to main content
GET
/
v1
/
memories
/
{memory_id}
/
Python
# To use the Python SDK, install the package:
# pip install mem0ai

from mem0 import MemoryClient
client = MemoryClient(api_key="your_api_key")

memory = client.get(memory_id="<memory_id>")
// To use the JavaScript SDK, install the package:
// npm i mem0ai

import MemoryClient from 'mem0ai';
const client = new MemoryClient({ apiKey: "your-api-key" });

// Retrieve a specific memory
client.get("<memory_id>")
  .then(result => console.log(result))
  .catch(error => console.error(error));
curl --request GET \
  --url https://api.mem0.ai/v1/memories/{memory_id}/ \
  --header 'Authorization: Token <api-key>'
package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {

	url := "https://api.mem0.ai/v1/memories/{memory_id}/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Token <api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "memory": "<string>",
  "user_id": "<string>",
  "agent_id": "<string>",
  "app_id": "<string>",
  "run_id": "<string>",
  "hash": "<string>",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
  "error": "Memory not found!"
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

Path Parameters

memory_id
string<uuid>
required

The unique identifier of the memory to retrieve.

Response

Successfully retrieved the memory.

id
string<uuid>

Unique identifier for the memory.

memory
string

The content of the memory

user_id
string

Identifier of the user associated with this memory

agent_id
string | null

The agent ID associated with the memory, if any

app_id
string | null

The app ID associated with the memory, if any

run_id
string | null

The run ID associated with the memory, if any

hash
string

Hash of the memory content

metadata
object

Additional metadata associated with the memory

created_at
string<date-time>

Timestamp of when the memory was created.

updated_at
string<date-time>

Timestamp of when the memory was last updated.